Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class ReasonerVocabulary

    java.lang.Object
      com.hp.hpl.jena.vocabulary.ReasonerVocabulary

    public class ReasonerVocabulary

extends java.lang.Object

A collection of RDF terms used in driving or configuring some of the builtin reasoners.

Version:
  $Revision: 1.28 $ on $Date: 2008/01/22 15:59:10 $
Author:
  Dave Reynolds

Field Summary
`static Property` | `configurationP` Reasoner description property: a configuration property supported by the reasoner
`static Property` | `descriptionP` Reasoner description property: text description of the reasoner
`static Property` | `directRDFType` The property that represents the direct/minimal version of the rdf:type relationship
`static Property` | `directSubClassOf` The property that represents the direct/minimal version of the subClassOf relationship
`static Property` | `directSubPropertyOf` The property that represents the direct/minimal version of the subPropertyOf relationship
`static Property` | `EXT_REASONER_AXIOMS` Property to denote the axioms file that the reasoner will use for background knowledge.
`static Property` | `EXT_REASONER_ONT_LANG` Property to denote the ontology language (OWL, DAML, RDFS) an external reasoner will process.
`static Property` | `EXT_REASONER_URL` Property to denote the URL of an external reasoner.
`static Property` | `hasRule` Property of a GRR rule-set config that specifies a rule as a string in the Jena rules language.
`static Property` | `individualAsThingP` A faux property used in reasoner capabilty models to denote reasoners that infer that individuals have rdf:type owl:Thing (or daml:Thing)
`static java.lang.String` | `JenaReasonerNS` The namespace used for system level descriptive properties of any reasoner
`static Property` | `nameP` Reasoner description property: name of the reasoner
`static Property` | `PROPderivationLogging` Property used to configure the derivation logging behaviour of a reasoner.
`static Property` | `PROPenableCMPScan` Property used to switch on/off scanning of data for container membership properties in RDFS preprocessing.
`static Property` | `PROPenableFunctorFiltering` Property used to switch on/off filtering of functors from returned results in the generic rule engine.
`static Property` | `PROPenableOWLTranslation` Property used to switch on/off OWL schema translation on a generic rule reasoner.
`static Property` | `PROPenableTGCCaching` Property used to switch on/off use of the dedicated subclass/subproperty caching in a generic rule reasoner.
`static Property` | `PROPruleMode` Property used to set the mode of a generic rule reasoner.
`static Property` | `PROPruleSet` Property used to attach a file a rules to a generic rule reasoner.
`static Property` | `PROPsetRDFSLevel` Property used to switch to different RDFS processing levles.
`static Property` | `PROPtraceOn` Property used to configure the tracing behaviour of a reasoner.
`static java.lang.String` | `PropURI` Base URI used for configuration properties for rule reasoners
`static Property` | `RB_VALIDATION` Property used to switch on validation in owl ruleset
`static Property` | `RB_VALIDATION_REPORT` Property used for validation reports in owl ruleset
`static java.lang.String` | `RBNamespace` A namespace used for Rubrik specific properties
`static java.lang.String` | `RDFS_DEFAULT` Constant for PROPsetRDFSLevel - default behaviour
`static java.lang.String` | `RDFS_FULL` Constant for PROPsetRDFSLevel - fullest implementation supported.
`static java.lang.String` | `RDFS_SIMPLE` Constant for PROPsetRDFSLevel - simplified, higher performance rules.
`static Resource` | `ReasonerClass` The RDF class to which all Reasoners belong
`static Property` | `ruleSet` Property of a GRR config with object a node with rule set properties.
`static Property` | `ruleSetURL` Property of a GRR config with object a resource who's URI is the URL of a Jena rules text.
`static Property` | `schemaURL` Property of a reasoner that specifies the URL of a schema to load.
`static Property` | `supportsP` Reasoner description property: a schema property supported by the reasoner
`static Property` | `versionP` Reasoner description property: version of the reasoner

Constructor Summary
`ReasonerVocabulary()`

Method Summary
`static java.lang.String` | `getJenaReasonerNS()` Return namespace used for system level descriptive properties of any reasoner
`static java.lang.String` | `getRBNamespace()` Return namespace used for Rubric specific properties

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JenaReasonerNS

    public static final java.lang.String JenaReasonerNS

  The namespace used for system level descriptive properties of any reasoner

  See Also:
    Constant Field Values

### ReasonerClass

    public static final Resource ReasonerClass

  The RDF class to which all Reasoners belong

### nameP

    public static final Property nameP

  Reasoner description property: name of the reasoner

### descriptionP

    public static final Property descriptionP

  Reasoner description property: text description of the reasoner

### versionP

    public static final Property versionP

  Reasoner description property: version of the reasoner

### supportsP

    public static final Property supportsP

  Reasoner description property: a schema property supported by the reasoner

### configurationP

    public static final Property configurationP

  Reasoner description property: a configuration property supported by the reasoner

### individualAsThingP

    public static final Property individualAsThingP

  A faux property used in reasoner capabilty models to denote reasoners that infer that individuals have rdf:type owl:Thing (or daml:Thing)

### directSubClassOf

    public static final Property directSubClassOf

  The property that represents the direct/minimal version of the subClassOf relationship

### directSubPropertyOf

    public static final Property directSubPropertyOf

  The property that represents the direct/minimal version of the subPropertyOf relationship

### directRDFType

    public static final Property directRDFType

  The property that represents the direct/minimal version of the rdf:type relationship

### PropURI

    public static final java.lang.String PropURI

  Base URI used for configuration properties for rule reasoners

  See Also:
    Constant Field Values

### PROPderivationLogging

    public static final Property PROPderivationLogging

  Property used to configure the derivation logging behaviour of a reasoner. Set to "true" to enable logging of derivations.

### PROPtraceOn

    public static final Property PROPtraceOn

  Property used to configure the tracing behaviour of a reasoner. Set to "true" to enable internal trace message to be sent to Logger.info .

### PROPruleMode

    public static final Property PROPruleMode

  Property used to set the mode of a generic rule reasoner. Valid values are the strings "forward", "backward" or "hybrid"

### PROPruleSet

    public static final Property PROPruleSet

  Property used to attach a file a rules to a generic rule reasoner. Value should a URI giving the rule set to use.

### PROPenableOWLTranslation

    public static final Property PROPenableOWLTranslation

  Property used to switch on/off OWL schema translation on a generic rule reasoner. Value should be "true" to enable OWL translation

### PROPenableTGCCaching

    public static final Property PROPenableTGCCaching

  Property used to switch on/off use of the dedicated subclass/subproperty caching in a generic rule reasoner. Set to "true" to enable caching.

### PROPenableCMPScan

    public static final Property PROPenableCMPScan

  Property used to switch on/off scanning of data for container membership properties in RDFS preprocessing.

### PROPsetRDFSLevel

    public static final Property PROPsetRDFSLevel

  Property used to switch to different RDFS processing levles. The legal levels are "default", "simple", and "full".

### PROPenableFunctorFiltering

    public static final Property PROPenableFunctorFiltering

  Property used to switch on/off filtering of functors from returned results in the generic rule engine. Default is filtering on.

### RDFS_DEFAULT

    public static final java.lang.String RDFS_DEFAULT

  Constant for PROPsetRDFSLevel - default behaviour

  See Also:
    Constant Field Values

### RDFS_FULL

    public static final java.lang.String RDFS_FULL

  Constant for PROPsetRDFSLevel - fullest implementation supported.

  See Also:
    Constant Field Values

### RDFS_SIMPLE

    public static final java.lang.String RDFS_SIMPLE

  Constant for PROPsetRDFSLevel - simplified, higher performance rules.

  See Also:
    Constant Field Values

### RBNamespace

    public static final java.lang.String RBNamespace

  A namespace used for Rubrik specific properties

  See Also:
    Constant Field Values

### RB_VALIDATION

    public static final Property RB_VALIDATION

  Property used to switch on validation in owl ruleset

### RB_VALIDATION_REPORT

    public static final Property RB_VALIDATION_REPORT

  Property used for validation reports in owl ruleset

### EXT_REASONER_URL

    public static final Property EXT_REASONER_URL

  Property to denote the URL of an external reasoner. Default is http://localhost:8081

### EXT_REASONER_ONT_LANG

    public static final Property EXT_REASONER_ONT_LANG

  Property to denote the ontology language (OWL, DAML, RDFS) an external reasoner will process. Values are URI's, see `ProfileRegistry`. Default is OWL.

### EXT_REASONER_AXIOMS

    public static final Property EXT_REASONER_AXIOMS

  Property to denote the axioms file that the reasoner will use for background knowledge. Values are URL's. Default is no axioms.

### ruleSet

    public static final Property ruleSet

  Property of a GRR config with object a node with rule set properties.

### ruleSetURL

    public static final Property ruleSetURL

  Property of a GRR config with object a resource who's URI is the URL of a Jena rules text.

### hasRule

    public static final Property hasRule

  Property of a GRR rule-set config that specifies a rule as a string in the Jena rules language.

### schemaURL

    public static final Property schemaURL

  Property of a reasoner that specifies the URL of a schema to load.

Constructor Detail

### ReasonerVocabulary

    public ReasonerVocabulary()

Method Detail

### getRBNamespace

    public static final java.lang.String getRBNamespace()

  Return namespace used for Rubric specific properties

### getJenaReasonerNS

    public static final java.lang.String getJenaReasonerNS()

  Return namespace used for system level descriptive properties of any reasoner

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP